%%
%% This is file `KMISJ.cls',
%%
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{KMISJ}
\RequirePackage{ifthen}
\newboolean{preface}
%----------------------%
%

\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagefalse
\if@compatibility\else
\DeclareOption{landscape}
   {\setlength\@tempdima   {\paperheight}%
    \setlength\paperheight {\paperwidth}%
    \setlength\paperwidth  {\@tempdima}}
\fi
\if@compatibility
  \renewcommand\@ptsize{0}
\else
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\fi
\DeclareOption{10.5pt}{\renewcommand\@ptsize{0.5}}
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
%----------------------%
%
%----------------------%
\DeclareOption{preface}{\setboolean{preface}{true}}
%----------------------%
%
\ExecuteOptions{onecolumn,final}
\ProcessOptions

%%\ProvidesFile{size10.clo}
%%              [2001/04/21 v1.4e
%%      Standard LaTeX file (size option)]
\renewcommand\normalsize{%
   \@setfontsize\normalsize{10.4pt}{4.2mm}%
    \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
   \abovedisplayshortskip \z@ \@plus3\p@
   \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
\normalsize
\newcommand\normalsizetwo{%
   \@setfontsize\normaltwo{10.8pt}{4.5mm}%
    \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
   \abovedisplayshortskip \z@ \@plus3\p@
   \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
\newcommand\small{%
%   \@setfontsize\small{9.0pt}{3.8mm}%
   \@setfontsize\small{9.0pt}{3.6mm}%
    \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus2\p@
   \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 4\p@ \@plus2\p@ \@minus2\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}
\newcommand\footnotesize{%
   \@setfontsize\footnotesize{8.0pt}{3.2mm}%
%%   \@setfontsize\footnotesize\@viiipt{9.5}%
   \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus\p@
   \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 3\p@ \@plus\p@ \@minus\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}
%\newcommand\Largetwo{%
%\@setfontsize\Largetwo{14.9pt}{6.2mm}%
%}
%\newcommand\largetitle{%
%\@setfontsize\largetitle{11.2pt}{4.8mm}%
%}
%\newcommand\Largetitle{%
%\@setfontsize\largetitle{12.6pt}{5.2mm}%
%}

\newcommand\scriptsize{\@setfontsize\scriptsize\@viipt\@viiipt}
\newcommand\tiny{\@setfontsize\tiny\@vpt\@vipt}
\newcommand\large{\@setfontsize\large\@xiipt{14}}
\newcommand\Large{\@setfontsize\Large\@xivpt{18}}
\newcommand\LARGE{\@setfontsize\LARGE\@xviipt{22}}
\newcommand\huge{\@setfontsize\huge\@xxpt{25}}
\newcommand\Huge{\@setfontsize\Huge\@xxvpt{30}}
\if@twocolumn
  \setlength\parindent{1em}
\else
  \setlength\parindent{15\p@}
\fi
\setlength\smallskipamount{3\p@ \@plus 1\p@ \@minus 1\p@}
\setlength\medskipamount{6\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\bigskipamount{12\p@ \@plus 4\p@ \@minus 4\p@}
\setlength\headheight{12\p@}
\setlength\headsep   {25\p@}
\setlength\topskip   {10\p@}
\setlength\footskip{30\p@}
\if@compatibility \setlength\maxdepth{4\p@} \else
\setlength\maxdepth{.5\topskip} \fi
\if@compatibility
  \if@twocolumn
    \setlength\textwidth{410\p@}
  \else
    \setlength\textwidth{345\p@}
  \fi
\else
  \setlength\@tempdima{\paperwidth}
  \addtolength\@tempdima{-2in}
  \setlength\@tempdimb{345\p@}
  \if@twocolumn
    \ifdim\@tempdima>2\@tempdimb\relax
      \setlength\textwidth{2\@tempdimb}
    \else
      \setlength\textwidth{\@tempdima}
    \fi
  \else
    \ifdim\@tempdima>\@tempdimb\relax
      \setlength\textwidth{\@tempdimb}
    \else
      \setlength\textwidth{\@tempdima}
    \fi
  \fi
\fi
\if@compatibility\else
  \@settopoint\textwidth
\fi
\if@compatibility
  \setlength\textheight{43\baselineskip}
\else
  \setlength\@tempdima{\paperheight}
  \addtolength\@tempdima{-2in}
  \addtolength\@tempdima{-1.5in}
  \divide\@tempdima\baselineskip
  \@tempcnta=\@tempdima
  \setlength\textheight{\@tempcnta\baselineskip}
\fi
\addtolength\textheight{\topskip}
\if@twocolumn
 \setlength\marginparsep {10\p@}
\else
  \setlength\marginparsep{11\p@}
\fi
\setlength\marginparpush{5\p@}
\if@compatibility
  \if@twoside
     \setlength\oddsidemargin   {44\p@}
     \setlength\evensidemargin  {82\p@}
     \setlength\marginparwidth {107\p@}
  \else
     \setlength\oddsidemargin   {63\p@}
     \setlength\evensidemargin  {63\p@}
     \setlength\marginparwidth  {90\p@}
  \fi
  \if@twocolumn
     \setlength\oddsidemargin  {30\p@}
     \setlength\evensidemargin {30\p@}
     \setlength\marginparwidth {48\p@}
  \fi
\else
  \if@twoside
    \setlength\@tempdima        {\paperwidth}
    \addtolength\@tempdima      {-\textwidth}
    \setlength\oddsidemargin    {.4\@tempdima}
    \addtolength\oddsidemargin  {-1in}
    \setlength\marginparwidth   {.6\@tempdima}
    \addtolength\marginparwidth {-\marginparsep}
    \addtolength\marginparwidth {-0.4in}
  \else
    \setlength\@tempdima        {\paperwidth}
    \addtolength\@tempdima      {-\textwidth}
    \setlength\oddsidemargin    {.5\@tempdima}
    \addtolength\oddsidemargin  {-1in}
    \setlength\marginparwidth   {.5\@tempdima}
    \addtolength\marginparwidth {-\marginparsep}
    \addtolength\marginparwidth {-0.4in}
    \addtolength\marginparwidth {-.4in}
  \fi
  \ifdim \marginparwidth >2in
     \setlength\marginparwidth{2in}
  \fi
  \@settopoint\oddsidemargin
  \@settopoint\marginparwidth
  \setlength\evensidemargin  {\paperwidth}
  \addtolength\evensidemargin{-2in}
  \addtolength\evensidemargin{-\textwidth}
  \addtolength\evensidemargin{-\oddsidemargin}
  \@settopoint\evensidemargin
\fi
\if@compatibility
  \setlength\topmargin{27pt}
\else
  \setlength\topmargin{\paperheight}
  \addtolength\topmargin{-2in}
  \addtolength\topmargin{-\headheight}
  \addtolength\topmargin{-\headsep}
  \addtolength\topmargin{-\textheight}
  \addtolength\topmargin{-\footskip}     % this might be wrong!
  \addtolength\topmargin{-.5\topmargin}
  \@settopoint\topmargin
\fi
\setlength\footnotesep{6.65\p@}
\setlength{\skip\footins}{9\p@ \@plus 4\p@ \@minus 2\p@}
\setlength\floatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\textfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\intextsep   {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dblfloatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dbltextfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}
\def\@listi{\leftmargin\leftmargini
            \parsep 4\p@ \@plus2\p@ \@minus\p@ %%original 4+2-1
            \topsep 6\p@ \@plus2\p@ \@minus\p@ %%original 8+2-4
            \itemsep 2\p@ \@plus1\p@ \@minus\p@} %%original 4+2-1
\let\@listI\@listi
\@listi
\def\@listii {\leftmargin\leftmarginii
              \labelwidth\leftmarginii
              \advance\labelwidth-\labelsep
              \topsep    4\p@ \@plus2\p@ \@minus\p@ %%original 4+2-1
              \parsep    2\p@ \@plus\p@  \@minus\p@
              \itemsep   \parsep}
\def\@listiii{\leftmargin\leftmarginiii
              \labelwidth\leftmarginiii
              \advance\labelwidth-\labelsep
              \topsep    2\p@ \@plus\p@\@minus\p@
              \parsep    \z@
              \partopsep \p@ \@plus\z@ \@minus\p@
              \itemsep   \topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}
%%\endinput
%%
%% End of file `wdg10.5.clo'.
%%


\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}
\usepackage{float}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{amsthm}
\usepackage{calc}
\usepackage{color}
\usepackage{delarray}
\usepackage{enumerate}
\usepackage{epsfig}
\usepackage{exscale}
\usepackage{graphicx}
\usepackage{latexsym}
\usepackage{multicol}
\usepackage{pifont}
\usepackage{rawfonts}
\usepackage{rotating}
\usepackage{textcomp}
\usepackage{url}
\usepackage{verbatim}
\usepackage{xspace}
\usepackage[all]{xy}
\usepackage{lineno}
%-------%
% FONTS %
%-------%
\usepackage[T1]{fontenc}
\usepackage{times}
\renewcommand{\ttdefault}{cmtt} %= Computer Modern Typewriter
%\renewcommand{\ttdefault}{lmtt} %= Computer Modern Typewriter
%-------%

%---------------------------%

%---------------------------%
\usepackage[paperwidth=180mm,paperheight=290mm,textwidth=160mm,textheight=240mm,%
tmargin=11mm,headheight=7mm,headsep=6mm, rmargin = 20mm, lmargin=20mm,twoside, includehead,dvips]{geometry}

\parindent 5mm
\parskip 0mm
%---------------------------%

\renewcommand\baselinestretch{1.0}
\renewcommand{\arraystretch}{1.2}
\setlength{\jot}{5pt}
\setcounter{secnumdepth}{2}
\setcounter{tocdepth}{2}
\newlength\textwidthone
\setlength{\textwidthone}{\textwidth}
\addtolength{\textwidthone}{-1mm}
\newcommand\sectionname{Section}

%\renewcommand{\log}{\mathop{\textup{log}}\nolimits}
%\renewcommand{\mod}{\mathop{\textup{mod}}\nolimits}
%\renewcommand{\max}{\mathop{\textup{max}}}
%\renewcommand{\min}{\mathop{\textup{min}}}
%\renewcommand{\sup}{\mathop{\textup{sup}}}
%\renewcommand{\deg}{\mathop{\textup{deg}}\nolimits}
%\renewcommand{\gcd}{\mathop{\textup{gcd}}\nolimits}
\newcommand{\diag}{\mathop{\textup{diag}}\nolimits}
\newcommand{\prob}{\mathop{\textup{prob}}\nolimits}

\newenvironment{block}{\begin{trivlist}\item{}}{\end{trivlist}}

\newlength{\@textwidthminusparindent}
\newlength{\@saveparindent}
\newcounter{numberauthors}
\newcounter{startpage}
%
\newcommand\authorone[1]{\def\@authorone{#1}}
\newcommand\addressone[1]{\newcommand{\@addressone}{#1}}
\newcommand\countryone[1]{\newcommand{\@countryone}{#1}}
\newcommand\emailone[1]{\newcommand{\@emailone}{#1 }}
%
\newcommand\authortwo[1]{\def\@authortwo{#1}}
\newcommand\addresstwo[1]{\newcommand{\@addresstwo}{#1}}
\newcommand\countrytwo[1]{\newcommand{\@countrytwo}{#1}}
\newcommand\emailtwo[1]{\newcommand{\@emailtwo}{#1}}
%
\newcommand\authorthree[1]{\def\@authorthree{#1}}
\newcommand\addressthree[1]{\newcommand{\@addressthree}{#1}}
\newcommand\countrythree[1]{\newcommand{\@countrythree}{#1}}
\newcommand\emailthree[1]{\newcommand{\@emailthree}{#1}}
%
\newcommand\authorfour[1]{\def\@authorfour{#1}}
\newcommand\addressfour[1]{\newcommand{\@addressfour}{#1}}
\newcommand\countryfour[1]{\newcommand{\@countryfour}{#1}}
\newcommand\emailfour[1]{\newcommand{\@emailfour}{#1}}
%
\newcommand\headlinetitle[1]{\def\@headlinetitle{#1}}
\newcommand\headlineauthor[1]{\def\@headlineauthor{#1}}
\newcommand\firstpage[1]{\setcounter{startpage}{#1}\def\@firstpage{#1}}
\newcommand\abstract[1]{\def\@abstract{#1}}
\newcommand\keywords[1]{\def\@keywords{#1}}
\newcommand\classification[1]{\def\@classification{#1}}
\newcommand\acknowledgments[1]{\def\@acknowledgments{#1}}
\newcommand\researchsupported[1]{\def\@researchsupported{#1}}
%
\authorone{}
\authortwo{}
\authorthree{}
\authorfour{}
\headlineauthor{}
\acknowledgments{}
\headlinetitle{}
\abstract{}
\keywords{}
\classification{}
\researchsupported{}
\firstpage{1}

\newcommand\proceedingstitle{Karshi Multidisciplinary International Scientific Journal
\vskip0.2in  Vol. 1(1) (2024)}
\newcommand\pubyear{2024}

\newcommand{\makeheadlineauthor}{
\newbox\authrun
\newbox\shortauthrun
\global\setbox\authrun=\hbox{\small\rmfamily\unboldmath\ignorespaces\@author\unskip}%
\global\setbox\shortauthrun=\hbox{\small \rmfamily\unboldmath\ignorespaces\@headlineauthor\unskip}%
   \ifdim\wd\authrun<\runninglength
    \ifdim\wd\shortauthrun<\emptylength \def\@headlineauthor{\@author} \fi
    \else
        \setcounter{authortoolong}{1}
        \ifdim\wd\shortauthrun<\emptylength
           \typeout{}%
           \typeout{WARNING: Author names are too long for headlines.}%
            \typeout{PLEASE  supply a shorter form with \string\headlineauthor
                \space prior to \string\title}%
            \typeout{}%
            \global\setbox\authrun=\hbox{\small\rmfamily
           \hspace{5cm} Authors suppressed due to length}%
            \xdef\@headlineauthor{\copy\authrun}%
        \else
            \ifdim\wd\shortauthrun>\runninglength
                \typeout{}
                \typeout{WARNING: Short authors still too long for headlines.}%
                \typeout{PLEASE  supply a shorter form}%
                \typeout{}%
                \global\setbox\authrun=\hbox{\small\rmfamily
                \hspace{5cm} Authors suppressed due to length}%
                \xdef\@headlineauthor{\copy\authrun}%
            \else
                \setcounter{authortoolong}{0}
            \fi
        \fi
    \fi
}

\def\makewarningsone{}

\newdimen\runninglength
\runninglength=9cm
\newdimen\emptylength
\emptylength=1mm
\newcounter{titletoolong}
\setcounter{titletoolong}{0}
\newcounter{authortoolong}
\setcounter{authortoolong}{0}

%----------------------%

%----------------------%
\usepackage{fancyhdr}
\pagestyle{fancy}
\fancyhead{}\fancyfoot{}
\fancyhead[RO,LE]{\normalsize\thepage}
\fancyhead[CO]{\small\rightmark} %% \rightmark is defined in \def\makeheadlines{...}
\fancyhead[CE]{\small\leftmark}  %% \leftmark is defined in \def\makeheadlines{...}
\renewcommand\sectionmark[1]{}
\renewcommand\subsectionmark[1]{}
\fancypagestyle{mytitlepage}{%
  \fancyhf{}%
  \lhead{\small\textbf{\proceedingstitle},~\@firstpage--\pageref{LastPage}}%
  \rhead{\small\copyright\  University of Economics and Pedagogy-UEP \pubyear}}
%----------------------%

\def\makeheadlines{%
    \newbox\titrun
    \newbox\shorttitrun
    \global\setbox\titrun=\hbox{\small\rmfamily\unboldmath\ignorespaces\@title\unskip}%
    \global\setbox\shorttitrun=\hbox{\small \rmfamily\unboldmath\ignorespaces\@headlinetitle\unskip}%
   \ifdim\wd\titrun>\runninglength
        \setcounter{titletoolong}{1}
        \ifdim\wd\shorttitrun<\emptylength
           %\typeout{}%
           %\typeout{WARNING: Title too long for headlines.}%
         %\typeout{PLEASE  supply a shorter form with \string\headlinetitle
         %       \space prior to \string\title}%
         %\typeout{}%
            \global\setbox\titrun=\hbox{\small\rmfamily Title suppressed due to length}%
            \xdef\@headlinetitletwo{\copy\titrun}%
            \markboth{\@headlineauthor}{\@headlinetitletwo}%
        \else
            \ifdim\wd\shorttitrun>\runninglength
                %\typeout{}%
                %\typeout{WARNING: Short title still too long for headlines.}%
                %\typeout{PLEASE  supply a shorter form}%
                %\typeout{}%
                \global\setbox\titrun=\hbox{\small\rmfamily Title suppressed due to length}%
                \xdef\@headlinetitletwo{\copy\titrun}%
                \markboth{\@headlineauthor}{\@headlinetitletwo}%
            \else
                \setcounter{titletoolong}{0}
                \markboth{\@headlineauthor}{\@headlinetitle}%
            \fi
        \fi
    \else
         \ifdim\wd\shorttitrun<\emptylength
                \markboth{\@headlineauthor}{\@title}%
        \else
       \markboth{\@headlineauthor}{\@headlinetitle}%
        \fi
    \fi
}

\newcommand\maketitle{\par
  \begingroup
  \makeauthor%
  \makeheadlineauthor%
  \makeheadlines%
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
    \if@twocolumn
      \ifnum \col@number=\@ne
        \@maketitle
      \else
        \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \fi
    \@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}

\newcommand\mymakefntext{
   \long\def\@makefntext##1{%
      \parindent 1em%
      \noindent
      \hb@xt@1.8em{\hss\@makefnmark}##1}
}
\mymakefntext
%
\def\makethanks{
  % Change footnote style:
      \let\thefootnotetwo=\thefootnote
      \renewcommand{\thefootnote}{}
    \long\def\@makefntext##1{%
      \parindent 1em                 % 1em
      \noindent\hb@xt@1em{}##1}      % 1em
  % Place the "research supported" text:
    \ifthenelse{\equal{\@researchsupported}{}}{}%
      {\footnotetext{\@researchsupported}}
  % Restore the old footnote style:
    \let\thefootnote=\thefootnotetwo
    \mymakefntext
}
%
\def\@maketitle{%
  \newpage%
  \thispagestyle{mytitlepage}%
  \vspace*{\baselineskip}
  {\centering
     \let\footnote\thanks
     {\bfseries\Large\@title\par} %WICHTIG: \par innerhalb der Klammern
     \vspace*{\baselineskip}
     {\large\@author}\par
     %\vspace*{2\baselineskip}
  }
  %\noindent{\small\textbf{\abstractname.}~\@abstract}\par\vspace*{.7em}
  \ifthenelse{\equal{\@keywords}{}}{}{
  \noindent{\small\textbf{\keywordsname.}~\@keywords{}\unskip.}\par\vspace*{.7em}}
  \ifthenelse{\equal{\@classification}{}}{}{
  \noindent{\small\textbf{\classificationname.}~\@classification\unskip.}}
  \vspace*{\baselineskip}
}

\newcommand{\makeacknowledgements}{
    \ifthenelse{\equal{\@acknowledgments}{}}{}{%
  \mbox{}\\[3mm]{\bf Acknowledgments.}~\xprint{\@acknowledgments}}
}
%
\newcommand{\xprint}[1]{\ignorespaces #1\unskip}
%
\newcommand{\makeauthor}{
    \ifthenelse{\equal{\@authortwo}{}}{%
        \setcounter{numberauthors}{1}%
        \author{\xprint{\@authorone}}
    }{
        \ifthenelse{\equal{\@authorthree}{}}{%
            \setcounter{numberauthors}{2}%
            \author{\xprint{\@authorone}\hspace{.35em}and\hspace{.35em}\xprint{\@authortwo}}
        }{
            \ifthenelse{\equal{\@authorfour}{}}{%
                \setcounter{numberauthors}{3}%
                \author{\xprint{\@authorone},\hspace{.35em}\xprint{\@authortwo}\hspace{.35em}%
                and\hspace{.35em}\xprint{\@authorthree}}
            }{
                \setcounter{numberauthors}{4}%
                \author{\xprint{\@authorone},\hspace{.35em}\xprint{\@authortwo},\hspace{.35em}%
                \xprint{\@authorthree}\hspace{.35em}and\hspace{.35em}\xprint{\@authorfour}}
            }
        }
    }
}

\newcommand\setaddress[4]{%
  \begin{minipage}[b]{\textwidth}
    \small%
    \xprint{#1}, \xprint{#2}, \xprint{#3}.
    \ifthenelse{\equal{#4}{}}{}{\newline E-mail:~\texttt{\xprint{#4}}}
  \end{minipage}
}

\newcommand\makeauthordata[1]{
  \vspace{5mm}
  \begingroup
  \noindent
  \begin{minipage}[b]{\textwidth}\textbf{Author information}\end{minipage}
  \vspace*{-1mm}\par\noindent%
  \setaddress{\@authorone}{\@addressone}{\@countryone}{\@emailone}
  \addtocounter{numberauthors}{-1}
  \ifthenelse{\equal{\value{numberauthors}}{0}}{\label{#1}}%
    {\vspace*{-1mm}\par\noindent
     \setaddress{\@authortwo}{\@addresstwo}{\@countrytwo}{\@emailtwo}
     \addtocounter{numberauthors}{-1}
     \ifthenelse{\equal{\value{numberauthors}}{0}}{\label{#1}}%
       {\vspace*{-1mm}\par\noindent
        \setaddress{\@authorthree}{\@addressthree}{\@countrythree}{\@emailthree}
        \addtocounter{numberauthors}{-1}
        \ifthenelse{\equal{\value{numberauthors}}{0}}{\label{#1}}%
          {\vspace*{-1mm}\par\noindent
           \setaddress{\@authorfour}{\@addressfour}{\@countryfour}{\@emailfour}\label{#1}
  }}}
  \endgroup
}

\def\makewarnings{
      \ifthenelse{\equal{\value{titletoolong}}{1}}{
      \typeout{}%
      \typeout{------------------------------------------------}%
      \typeout{WARNING: Title too long for running head.}%
      \typeout{PLEASE  supply a shorter form with \string\headlinetitle}
%%                \space prior to \string\maketitle}%
      \typeout{------------------------------------------------}%
      \typeout{}%
      \vspace{20mm} \par \large WARNING: Title too long for running head.
      \par \large PLEASE  supply a shorter form with $\backslash$headlinetitle
     }{}
%
    \ifthenelse{\equal{\value{authortoolong}}{1}}{
      \typeout{}%
      \typeout{------------------------------------------------}%
      \typeout{WARNING: Author names too long for running head.}%
      \typeout{PLEASE  supply a shorter form with \string\headlineauthor}
%%                \space prior to \string\maketitle}%
      \typeout{------------------------------------------------}%
      \typeout{}%
      \vspace{20mm} \par \large WARNING: Author names too long for running head.
      \par \large PLEASE  supply a shorter form with $\backslash$headlineauthor
    }{}

    \ifthenelse{\equal{\@keywords}{}}{%
      \typeout{}%
      \typeout{------------------------------------------------}%
      \typeout{WARNING: Keywords are missing}%
      \typeout{PLEASE  supply keywords with \string\keywords}
      \typeout{------------------------------------------------}%
      \typeout{}%
     }{}

    \ifthenelse{\equal{\@classification}{}}{%
      \typeout{}%
      \typeout{------------------------------------------------}%
      \typeout{WARNING: Classification is missing}%
      \typeout{PLEASE  supply Classification with \string\classification}
      \typeout{------------------------------------------------}%
     }{}

    \ifthenelse{\equal{\@abstract}{}}{%
      \typeout{}%
      \typeout{------------------------------------------------}%
     \typeout{WARNING: Abstract is missing}%
      %\typeout{PLEASE  supply Abstract with \string\abstract}
      \typeout{------------------------------------------------}%
     }{}
}

%----------------------%

%----------------------%
\let\origdocument\document
\let\endorigdocument\enddocument
\ifthenelse{\boolean{preface}}%
  {}%
  {\def\document{\origdocument\makewarningsone\maketitle\makethanks%
                 \bibliographystyle{PMJ}\setcounter{page}{\value{startpage}}}
   \def\enddocument{\makeauthordata{LastPage}\makewarnings\endorigdocument}}
%----------------------%

\newcounter{section}
\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\newcounter{paragraph}[subsubsection]
\newcounter{subparagraph}[paragraph]
%
\renewcommand\thesection{\@arabic\c@section}
\renewcommand\thesubsection{\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection.\@arabic\c@subsubsection}
%
\@addtoreset{equation}{section}
\renewcommand{\theequation}{\thesection.\arabic{equation}}
%
\newcommand\section{\@startsection{section}{1}{\z@}%
                   {-3.8ex \@plus -1ex \@minus -.2ex}%
                   {1.9ex \@plus.2ex}%
                   {\normalfont\large\raggedright\bfseries\boldmath}}
\renewcommand\@seccntformat[1]{\csname the#1\endcsname\hspace{3mm}}
%
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                      {-3.5ex\@plus -1ex \@minus -.2ex}%
                      {1.4ex \@plus .2ex}%
                      {\normalfont\normalsizetwo\raggedright\bfseries\boldmath}}
%
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                         {-3.3ex\@plus -1ex \@minus -.2ex}%
                         {1.3ex \@plus .2ex}%
                         {\normalfont\normalsize\raggedright\bfseries\boldmath}}
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {3.25ex \@plus1ex \@minus.2ex}%
                                    {-1em}%
                                    {\normalfont\normalsize\bfseries\boldmath}}
\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                       {3.25ex \@plus1ex \@minus .2ex}%
                                       {-1em}%
                                      {\normalfont\normalsize\bfseries\boldmath}}
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {7.5mm} %NEW (ALBROSCHEIT)
\fi
\leftmargin\leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty

\renewcommand\theenumi{\@roman\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{(\theenumi)} %NEW
\newcommand\labelenumii{\theenumii.}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
%
\newcommand{\tinybullet}{{\tiny \raisebox{0.6mm}{$ \bullet $}}} %NEW
%
\newcommand\labelitemi{\tinybullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
%
\newenvironment{xitemize}{%
\begin{list}{\tinybullet}{
  \setlength{\parsep}{4\p@ \@plus2\p@ \@minus\p@} %%alternativ: 2.5+2-1
  \setlength{\topsep}{6\p@ \@plus2\p@ \@minus2\p@} %%alternativ: 6+2-2
  \setlength{\itemsep}{2\p@ \@plus1\p@ \@minus\p@} %%alternativ: 3+2-1
  \setlength{\labelwidth}{0mm}
  \setlength{\labelsep}{2mm}
  \setlength{\itemindent}{2mm}
  \setlength{\leftmargin}{0mm}
  \setlength{\listparindent}{0mm}
}}{\end{list}}
%
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
%
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}

\newcommand\appendix{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \gdef\thesection{\@Alph\c@section}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\newcounter{figure}
\renewcommand \thefigure {\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\nobreakspace\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\nobreakspace\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{\textbf{#1.} #2}%
  \ifdim \wd\@tempboxa >\hsize
    \textbf{#1.} #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\DeclareSymbolFont{rmmath}{OT1}{\rmdefault}{m}{n}
\DeclareMathSymbol{1}{\mathalpha}{rmmath}{"31}
\DeclareMathSymbol{2}{\mathalpha}{rmmath}{"32}
\DeclareMathSymbol{3}{\mathalpha}{rmmath}{"33}
\DeclareMathSymbol{4}{\mathalpha}{rmmath}{"34}
\DeclareMathSymbol{5}{\mathalpha}{rmmath}{"35}
\DeclareMathSymbol{6}{\mathalpha}{rmmath}{"36}
\DeclareMathSymbol{7}{\mathalpha}{rmmath}{"37}
\DeclareMathSymbol{8}{\mathalpha}{rmmath}{"38}
\DeclareMathSymbol{9}{\mathalpha}{rmmath}{"39}
\DeclareMathSymbol{0}{\mathalpha}{rmmath}{"30}
%
\newcommand{\mymathfont}{modernroman}
%\newcommand{\mymathfont}{times}
\ifthenelse{\equal{\mymathfont}{modernroman}}{}{}
\ifthenelse{\equal{\mymathfont}{times}}{
\DeclareSymbolFont{itmath}{OT1}{ptm}{m}{it}
\DeclareMathSymbol{A}{\mathalpha}{itmath}{`A}
\DeclareMathSymbol{B}{\mathalpha}{itmath}{`B}
\DeclareMathSymbol{C}{\mathalpha}{itmath}{`C}
\DeclareMathSymbol{D}{\mathalpha}{itmath}{`D}
\DeclareMathSymbol{E}{\mathalpha}{itmath}{`E}
\DeclareMathSymbol{F}{\mathalpha}{itmath}{`F}
\DeclareMathSymbol{G}{\mathalpha}{itmath}{`G}
\DeclareMathSymbol{H}{\mathalpha}{itmath}{`H}
\DeclareMathSymbol{I}{\mathalpha}{itmath}{`I}
\DeclareMathSymbol{J}{\mathalpha}{itmath}{`J}
\DeclareMathSymbol{K}{\mathalpha}{itmath}{`K}
\DeclareMathSymbol{L}{\mathalpha}{itmath}{`L}
\DeclareMathSymbol{M}{\mathalpha}{itmath}{`M}
\DeclareMathSymbol{N}{\mathalpha}{itmath}{`N}
\DeclareMathSymbol{O}{\mathalpha}{itmath}{`O}
\DeclareMathSymbol{P}{\mathalpha}{itmath}{`P}
\DeclareMathSymbol{Q}{\mathalpha}{itmath}{`Q}
\DeclareMathSymbol{R}{\mathalpha}{itmath}{`R}
\DeclareMathSymbol{S}{\mathalpha}{itmath}{`S}
\DeclareMathSymbol{T}{\mathalpha}{itmath}{`T}
\DeclareMathSymbol{U}{\mathalpha}{itmath}{`U}
\DeclareMathSymbol{V}{\mathalpha}{itmath}{`V}
\DeclareMathSymbol{W}{\mathalpha}{itmath}{`W}
\DeclareMathSymbol{X}{\mathalpha}{itmath}{`X}
\DeclareMathSymbol{Y}{\mathalpha}{itmath}{`Y}
\DeclareMathSymbol{Z}{\mathalpha}{itmath}{`Z}
\DeclareMathSymbol{a}{\mathalpha}{itmath}{`a}
\DeclareMathSymbol{b}{\mathalpha}{itmath}{`b}
\DeclareMathSymbol{c}{\mathalpha}{itmath}{`c}
\DeclareMathSymbol{d}{\mathalpha}{itmath}{`d}
\DeclareMathSymbol{e}{\mathalpha}{itmath}{`e}
%\DeclareMathSymbol{f}{\mathalpha}{itmath}{`f}
\DeclareMathSymbol{g}{\mathalpha}{itmath}{`g}
\DeclareMathSymbol{h}{\mathalpha}{itmath}{`h}
\DeclareMathSymbol{i}{\mathalpha}{itmath}{`i}
\DeclareMathSymbol{j}{\mathalpha}{itmath}{`j}
\DeclareMathSymbol{k}{\mathalpha}{itmath}{`k}
\DeclareMathSymbol{l}{\mathalpha}{itmath}{`l}
\DeclareMathSymbol{m}{\mathalpha}{itmath}{`m}
\DeclareMathSymbol{n}{\mathalpha}{itmath}{`n}
\DeclareMathSymbol{o}{\mathalpha}{itmath}{`o}
\DeclareMathSymbol{p}{\mathalpha}{itmath}{`p}
\DeclareMathSymbol{q}{\mathalpha}{itmath}{`q}
\DeclareMathSymbol{r}{\mathalpha}{itmath}{`r}
\DeclareMathSymbol{s}{\mathalpha}{itmath}{`s}
\DeclareMathSymbol{t}{\mathalpha}{itmath}{`t}
\DeclareMathSymbol{u}{\mathalpha}{itmath}{`u}
\DeclareMathSymbol{v}{\mathalpha}{itmath}{`v}
\DeclareMathSymbol{w}{\mathalpha}{itmath}{`w}
\DeclareMathSymbol{x}{\mathalpha}{itmath}{`x}
\DeclareMathSymbol{y}{\mathalpha}{itmath}{`y}
\DeclareMathSymbol{z}{\mathalpha}{itmath}{`z}
}{}

\SetSymbolFont{operators}{normal}{OT1}{ptmcm}{m}{n}

%\def\myGamma{\Gamma}
%\SetSymbolFont{operators}{normal}{OT1}{ptm}{m}{n}
%\DeclareSymbolFont{greekmath}{OT1}{gr}{m}{n}
%\DeclareMathSymbol{\Gamma}{0}{operators}{'\gamma}
%\DeclareTextSymbol{\Gamma}{OT1}{"47}
%\DeclareMathAlphabet\Gamma{OT1}{cmr}{m}{n}
%\renewcommand{\Gamma}{\myGamma}
%\SetSymbolFont{letters}{normal}{OML}{ptm}{m}{it}

\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{3}

%----------------------%
% NEW (March 13, 2008) %
%----------------------%
\newcommand\mysection[1]{%
  \vspace*{\baselineskip}
  {\centering
   {\Large\textbf{#1}}\par
  }
  \vspace*{4\baselineskip}}

\newcommand\preface{%
  \newpage
  \pagenumbering{roman}
  \setcounter{page}{5}
  \thispagestyle{empty}%
  \mysection{\prefacename}
  \markboth{\prefacename}{\prefacename}}

\newcommand\mydotfill{\cleaders\hbox{$\m@th\mkern4.7mu.\mkern4.7mu$}\hfill}

\newcommand\papertoc[3]{%
  \noindent\normalsize%
  \begin{minipage}[t]{\textwidth}
    \textsc{#1}\\[.3ex] #2\mydotfill#3
  \end{minipage}\\ \smallskip}

\newcommand\othertoc[2]{%
  \noindent\normalsize%
  \begin{minipage}[t]{\textwidth}
    #1\mydotfill#2
  \end{minipage}\\ \smallskip}

\newcommand\tableofcontents{%
  \newpage
  \thispagestyle{empty}%
  \mysection{\contentsname}
  \markboth{\contentsname}{\contentsname}}

\newenvironment{theindex}{
  \newpage
  \thispagestyle{empty}
  \if@twocolumn
    \@restonecolfalse
  \else
    \@restonecoltrue
  \fi
  \columnseprule \z@
  \columnsep 35\p@
  \twocolumn[\vspace*{\baselineskip}\mysection{\indexname}]
  \markboth{\indexname}{\indexname}
  \parindent\z@
  \parskip\z@ \@plus .3\p@\relax
  \let\item\@idxitem\small}
  {\if@restonecol\onecolumn\else\clearpage\fi}
%----------------------%

\newcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty\@secpenalty
    \addvspace{2.25em \@plus\p@}%
    \setlength\@tempdima{3em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
       \if@compatibility
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
      \fi
    \endgroup
  \fi}
\newcommand*\l@section[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty\@secpenalty
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\newcommand\listoffigures{%
    \section*{\listfigurename}%
    \@starttoc{lof}%
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \section*{\listtablename}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]{
  \makeacknowledgements  % RP, October 4th, 2006
  \section*{\refname}%
  \small
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
%
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
%
\newcommand\contentsname{Table of contents}
\newcommand\listfigurename{List of figures}
\newcommand\listtablename{List of tables}
\newcommand\refname{References}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\prefacename{Preface}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{Abstract}
\newcommand\keywordsname{Keywords}
\newcommand\classificationname{AMS classification}

\def\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}

\pagenumbering{arabic}
\if@twoside
\else
  \raggedbottom
\fi
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi


%--------------------------------------------------%
% NEW by Simon Albroscheit, February 27, 2007      %
% Changes for the amsthm-package.                  %
%--------------------------------------------------%

\renewcommand{\thmhead@plain}[3]{%
  \thmname{#1}\thmnumber{\@ifnotempty{#1}{ }\@upn{#2}}%
  \thmnote{ {\the\thm@notefont(#3)\the\thm@headpunct}}}     %NEW

\let\thmhead\thmhead@plain

\def\swappedhead#1#2#3{%
  \thmnumber{#2}%
  \thmname{\@ifnotempty{#2}{~}#1}%
  \thmnote{ {\the\thm@notefont(#3)\the\thm@headpunct}}}     %NEW

\let\swappedhead@plain=\swappedhead

\def\@begintheorem#1#2[#3]{%
  \deferred@thm@head{\the\thm@headfont \thm@indent
    \@ifempty{#1}{\let\thmname\@gobble}{\let\thmname\@iden}%
    \@ifempty{#2}{\let\thmnumber\@gobble}{\let\thmnumber\@iden}%
    \@ifempty{#3}{\let\thmnote\@gobble}{\let\thmnote\@iden}%
    \thm@swap\swappedhead\thmhead{#1}{#2}{#3}%
    \@ifempty{#3}{\the\thm@headpunct}{}%        %NEW
    %\the\thm@headpunct                         %NEW
    \thmheadnl%
    \hskip\thm@headsep
  }%
  \ignorespaces}


\newlength\qedrulewidth
\setlength\qedrulewidth{.4pt}
\newlength\qedwidth
\setlength\qedwidth{1.2ex}
\newlength\qedheight
\setlength\qedheight{\qedwidth-\qedrulewidth-\qedrulewidth}
\newlength\qedinnerwidth
\setlength\qedinnerwidth{\qedwidth-\qedrulewidth-\qedrulewidth}
%
\renewcommand{\qedsymbol}{%
\vbox{\hrule width\qedwidth height\qedrulewidth%
\hbox{\vrule height\qedheight width\qedrulewidth%
      \hskip\qedinnerwidth%
      \vrule width\qedrulewidth}
\hrule width\qedwidth height\qedrulewidth}}

\newlength\mytopsep
\setlength\mytopsep{9\p@ \@plus3\p@ \@minus5\p@}
% Wert entspricht \topsep aus \def\@listi aus der Datei bk11.clo

\newtheoremstyle{plain}%
  {\mytopsep}{\mytopsep} %Abstand oben und unten
  {\itshape}             %Textlayout
  {0pt}                  %Einzug
  {\bfseries}{.}{ }      %"Uberschrift und Abstand
  {}                     %=Formatierungen der "Uberschrift wie bei plain

\newtheoremstyle{definition}%
  {\mytopsep}{\mytopsep} %Abstand oben und unten
  {\normalfont}          %Textlayout
  {0pt}                  %Einzug
  {\bfseries}{.}{ }      %"Uberschrift und Abstand
  {}                     %=Formatierungen der "Uberschrift wie bei plain

\theoremstyle{plain}
  \newtheorem{theorem}{Theorem}[section]
  \newtheorem*{theorem*}{Theorem}
  \newtheorem{corollary}[theorem]{Corollary}
  \newtheorem*{corollary*}{Corollary}
  \newtheorem{lemma}[theorem]{Lemma}
  \newtheorem*{lemma*}{Lemma}
  \newtheorem{proposition}[theorem]{Proposition}
  \newtheorem*{proposition*}{Proposition}

\theoremstyle{definition}
  \newtheorem{algorithm}[theorem]{Algorithm}
  \newtheorem*{algorithm*}{Algorithm}
  \newtheorem{assumption}[theorem]{Assumption}
  \newtheorem*{assumption*}{Assumption}
  \newtheorem{conjecture}[theorem]{Conjecture}
  \newtheorem*{conjecture*}{Conjecture}
  \newtheorem{definition}[theorem]{Definition}
  \newtheorem*{definition*}{Definition}
  \newtheorem{example}[theorem]{Example}
  \newtheorem*{example*}{Example}
  \newtheorem{hypothesis}[theorem]{Hypothesis}
  \newtheorem*{hypothesis*}{Hypothesis}
  \newtheorem{property}[theorem]{Property}
  \newtheorem*{property*}{Property}
  \newtheorem{remark}[theorem]{Remark}
  \newtheorem*{remark*}{Remark}

%--------------------------------------------------%

\newcommand{\BibTeX}{{\rm B\kern-.05em{\sc i\kern-.025em b}\kern-.08em
  T\kern-.1667em\lower.7ex\hbox{E}\kern-.125emX}}
\def\makeautorefname#1#2{\expandafter\def\csname#1autorefname\endcsname{#2}}
%
%  Some standard autorefnames.  If the environment name for an autoref
%  you need is not listed below, add a similar line to your TeX file:
%
\DeclareMathSizes{7.6}{8}{6}{5}
\newcommand{\co}{\mskip0.5mu\colon\thinspace}   % Colon for maps.
\newcommand{\np}{\newpage}            %  Forced page break (new page).
\newcommand{\nl}{\hfil\break}         %  New line.
\newcommand{\cl}{\centerline}         %  Centerline
\def\makeop#1{\expandafter\def\csname #1\endcsname{\mathop{\mathrm{#1}}\nolimits}}
\def\figdir{figs}
%  hyperref stuff
%
\usepackage{hyperref}
\hypersetup{%
  bookmarksnumbered=true,%
  bookmarks=true,%
  colorlinks=true,%
  linkcolor=blue,%
  citecolor=blue,%
  filecolor=blue,%
  menucolor=blue,%
  pagecolor=blue,%
  urlcolor=blue,%
  pdfnewwindow=true,%
  pdfstartview=FitBH}
%
%   \arxiv and \MR are for use in the biblio eg:
%   \arxiv{math.GT/0102334}  \MR{2002j:32027}
%
\def\arxiv#1{\relax\ifhmode\unskip\qua\fi
    \href{http://arxiv.org/abs/#1}%
{\tt arXiv:\penalty -100\unskip#1}}
\let\arXiv\arxiv
\def\MR#1{\relax\ifhmode\unskip\qua\fi
    \href{http://www.ams.org/mathscinet-getitem?mr=#1}{MR#1}}
%
\def\xox#1{\csname xx#1\endcsname} %%% used by
\let\xxarXiv\arxiv\let\xxMR\MR     %%% gtart.bst
\def\xxZBL#1{}
\def\xxJFM#1{}
\def\@url#1{{\tt\def~{\lower3.5pt\hbox{\char'176}}\def\_{\char'137}#1}}
\let\fullref\autoref



\endinput
%%
%% End of file `commutativealgebra.cls'.
